# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode/CNMap.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Storable.pm) perl(Test/More.pm) perl(utf8.pm)
# END SourceDeps(oneline)
%define module_version 0.5
%define module_name eGuideDog-Dict-Mandarin
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.5
Release: alt1
Summary: an informal Pinyin dictionary.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HG/HGNENG/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is for looking up Pinyin of Mandarin characters or words. The dictionary is from Mandarin dictionary of espeak (http://espeak.sf.net).

The Mandarin pronunciation dictionary included with eSpeak is a compact summary of data from CEDICT and Unihan, with some corrections. Rather than include every word in the language, it includes only words that are pronounced differently from the default pronunciations of their component characters (which are also included).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/e*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1
- initial import by package builder

